<?php
/**
 * AC Maintenance functions
 */

//Admin css
	add_editor_style( array( 'assets/css/admin.css' ) );

if ( ! function_exists( 'ac_maintenance_setup' ) ) :
function ac_maintenance_setup() {
    load_theme_textdomain( 'ac-maintenance', get_template_directory() . '/languages' );

    /**
	 * About Theme Function
	 */
	require get_theme_file_path( '/about-theme/about-theme.php' );
	
	/**
	 * TGM
	 */
	require get_template_directory() . '/tgm.php';

	/**
	 * Customizer
	 */
	require get_template_directory() . '/inc/customizer.php';
}
endif; 
add_action( 'after_setup_theme', 'ac_maintenance_setup' );

if ( ! function_exists( 'ac_maintenance_styles' ) ) :
	function ac_maintenance_styles() {
		// Register theme stylesheet.
		wp_register_style('ac-maintenance-style',
			get_template_directory_uri() . '/style.css',array(),
			wp_get_theme()->get( 'Version' )
		);

		wp_enqueue_script('ac-maintenance-js',
        	get_template_directory_uri() . '/assets/js/effects.js',array(),
        	wp_get_theme()->get('Version'),true 
   		 );

		wp_enqueue_script( 'wow-jquery',
		 get_template_directory_uri() . '/assets/js/wow.js', array('jquery'),'' ,true );

		wp_enqueue_style( 'animate-style',
		 get_template_directory_uri().'/assets/css/animate.css' );

		// Scroll to top CSS and JS
		wp_enqueue_style( 'dashicons' );
		
		wp_enqueue_style( 'scroll-to-top-style',
			get_template_directory_uri() . '/assets/css/scroll-to-top.css',
			array(),
			wp_get_theme()->get('Version')
		);

		wp_enqueue_script( 'scroll-to-top-js',
			get_template_directory_uri() . '/assets/js/scroll-to-top.js',
			array(),
			wp_get_theme()->get('Version'),
			true
		);

		// Enqueue theme stylesheet.
		wp_enqueue_style( 'ac-maintenance-style' );

		wp_style_add_data( 'ac-maintenance-style', 'rtl', 'replace' );

		wp_enqueue_style( 'fontawesome-all', get_template_directory_uri().'/assets/css/all.min.css' );
	}
endif;
add_action( 'wp_enqueue_scripts', 'ac_maintenance_styles' );